Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.documentnavigation.destination
Class PDPageFitDestination

    java.lang.Object
      org.pdfbox.pdmodel.interactive.documentnavigation.destination.PDDestination
          org.pdfbox.pdmodel.interactive.documentnavigation.destination.PDPageDestination
              org.pdfbox.pdmodel.interactive.documentnavigation.destination.PDPageFitDestination

All Implemented Interfaces:
  COSObjectable

public class PDPageFitDestination
extends PDPageDestination

This represents a destination to a page and the page contents will be magnified to just fit on the screen.

Version:
  $Revision: 1.1 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Field Summary
`protected static String` | `TYPE` The type of this destination.
`protected static String` | `TYPE_BOUNDED` The type of this destination.

Fields inherited from class org.pdfbox.pdmodel.interactive.documentnavigation.destination.PDPageDestination
`array`

Constructor Summary
`PDPageFitDestination()` Default constructor.
`PDPageFitDestination(COSArray arr)` Constructor from an existing destination array.

Method Summary
`boolean` | `fitBoundingBox()` A flag indicating if this page destination should just fit bounding box of the PDF.
`void` | `setFitBoundingBox(boolean fitBoundingBox)` Set if this page destination should just fit the bounding box.

Methods inherited from class org.pdfbox.pdmodel.interactive.documentnavigation.destination.PDPageDestination
`getCOSArray, getCOSObject, getPage, getPageNumber, setPage, setPageNumber`

Methods inherited from class org.pdfbox.pdmodel.interactive.documentnavigation.destination.PDDestination
`create, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    protected static final String TYPE

  The type of this destination.

  See Also:
    Constant Field Values

### TYPE_BOUNDED

    protected static final String TYPE_BOUNDED

  The type of this destination.

  See Also:
    Constant Field Values

Constructor Detail

### PDPageFitDestination

    public PDPageFitDestination()

  Default constructor.

### PDPageFitDestination

    public PDPageFitDestination(COSArray arr)

  Constructor from an existing destination array.

Parameters:
  `arr` - The destination array.

Method Detail

### fitBoundingBox

    public boolean fitBoundingBox()

  A flag indicating if this page destination should just fit bounding box of the PDF.

  Returns:
    true If the destination should fit just the bounding box.

### setFitBoundingBox

    public void setFitBoundingBox(boolean fitBoundingBox)

  Set if this page destination should just fit the bounding box. The default is false.

  Parameters:
    `fitBoundingBox` - A flag indicating if this should fit the bounding box.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD